[arch-commits] Commit in squeeze/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Jul 20 12:13:54 EDT 2008


    Date: Sunday, July 20, 2008 @ 12:13:54
  Author: jgc
Revision: 5740

Merged revisions 2-5739 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/squeeze/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r5634 | jgc | 2008-07-19 00:13:17 +0000 (Sat, 19 Jul 2008) | 1 line
  
  upgpkg: squeeze 0.2.3-2
........

Modified:
  squeeze/repos/extra-i686/	(properties)
  squeeze/repos/extra-i686/PKGBUILD
  squeeze/repos/extra-i686/squeeze.install

-----------------+
 PKGBUILD        |    8 ++++----
 squeeze.install |    5 -----
 2 files changed, 4 insertions(+), 9 deletions(-)


Property changes on: squeeze/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /squeeze/trunk:1
   + /squeeze/trunk:1-5739

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-20 16:12:05 UTC (rev 5739)
+++ extra-i686/PKGBUILD	2008-07-20 16:13:54 UTC (rev 5740)
@@ -3,14 +3,14 @@
 
 pkgname=squeeze
 pkgver=0.2.3
-pkgrel=1
+pkgrel=2
 pkgdesc="Squeeze is a modern and advanced archive manager for the Xfce Desktop Environment."
 arch=('i686' 'x86_64')
 license=('GPL2')
 url="http://squeeze.xfce.org/"
 groups=('xfce4')
 depends=('thunar')
-makedepends=('pkgconfig' 'tar')
+makedepends=('pkgconfig' 'tar' 'desktop-file-utils')
 options=('!libtool')
 conflicts=('squeeze-svn')
 install=${pkgname}.install
@@ -20,7 +20,7 @@
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce4 \
-    --localstatedir=/var --disable-static
+    --localstatedir=/var --disable-static || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${startdir}/pkg install || return 1
 }

Modified: extra-i686/squeeze.install
===================================================================
--- extra-i686/squeeze.install	2008-07-20 16:12:05 UTC (rev 5739)
+++ extra-i686/squeeze.install	2008-07-20 16:13:54 UTC (rev 5740)
@@ -18,8 +18,3 @@
   update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
-
-op=$1
-shift
-
-$op $*





More information about the arch-commits mailing list